# Uses of Interface
org.eclipse.jface.viewers.ISelection

Packages that use ISelection
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.debug.ui.contexts
Provides a set of interfaces and classes for debug context management.
org.eclipse.help.ui.browser
Provides an implementation of IWorkbenchWindowActionDelegate for opening a URL in a browser.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.
org.eclipse.ltk.ui.refactoring.actions
Application programming interface to actions related to the refactoring history.
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.forms
Forms-based controls for use in views, editors, and wizards.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.quickdiff
Provides interfaces to for the `org.eclipse.ui.editors.quickDiffReferenceProvider` extension point and adds an action to enable quick diff display for an editor.
org.eclipse.ui.views.contentoutline
Provides the standard Content Outline view which can show the active editor's custom outline for the document being edited.
org.eclipse.ui.views.framelist
Provides support for a web-browser style of navigation within a view by maintaining a list of frames.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of ISelection in org.eclipse.compare

Methods in org.eclipse.compare that return ISelection
Modifier and Type
Method
Description
`ISelection`
CompareViewerPane.`getSelection()`
`ISelection`
CompareViewerSwitchingPane.`getSelection()`
Methods in org.eclipse.compare with parameters of type ISelection
Modifier and Type
Method
Description
`void`
CompareViewerPane.`setSelection(ISelection s)`
`void`
CompareViewerSwitchingPane.`setSelection(ISelection s)`

## Uses of ISelection in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer that return ISelection
Modifier and Type
Method
Description
`ISelection`
ContentMergeViewer.`getSelection()`
The `ContentMergeViewer` implementation of this `Viewer` method returns the empty selection.
Methods in org.eclipse.compare.contentmergeviewer with parameters of type ISelection
Modifier and Type
Method
Description
`void`
ContentMergeViewer.`setSelection(ISelection selection, boolean reveal)`
The `ContentMergeViewer` implementation of this `Viewer` method does nothing.

## Uses of ISelection in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return ISelection
Modifier and Type
Method
Description
`static ISelection`
DebugUITools.`getDebugContextForEvent(ExecutionEvent event)`
Return the debug context for the given executionEvent or `null` if none.
`static ISelection`
DebugUITools.`getDebugContextForEventChecked(ExecutionEvent event)`
Return the debug context for the given executionEvent.
`static ISelection`
DebugUITools.`getDebugContextForPart(IWorkbenchPart part)`
Returns the currently selected context in the given part or part's workbench window.
Methods in org.eclipse.debug.ui with parameters of type ISelection
Modifier and Type
Method
Description
`IResource`
ILaunchShortcut2.`getLaunchableResource(ISelection selection)`
Returns an `IResource` that maps to the given selection for launch purposes, or `null` if none.
`ILaunchConfiguration[]`
ILaunchShortcut2.`getLaunchConfigurations(ISelection selection)`
Returns an array of `ILaunchConfiguration`s that apply to the specified selection, an empty collection if one could be created but does not exist, or `null` if default resource mappings should be used to derive associated configurations.
`void`
ILaunchShortcut.`launch(ISelection selection, String mode)`
Locates a launchable entity in the given selection and launches an application in the specified mode.

## Uses of ISelection in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions that return ISelection
Modifier and Type
Method
Description
`protected ISelection`
DebugCommandAction.`getContext()`
Returns the context (selection) this action operates on.
Methods in org.eclipse.debug.ui.actions with parameters of type ISelection
Modifier and Type
Method
Description
`void`
IAddMemoryBlocksTarget.`addMemoryBlocks(IWorkbenchPart part, ISelection selection)`
Perform an add memory block on the given element that is currently selected in the Debug view.
`void`
IAddMemoryRenderingsTarget.`addMemoryRenderings(IWorkbenchPart part, ISelection selection, IMemoryRenderingType[] renderingTypes)`
Adds memory renderings.
`boolean`
IAddMemoryBlocksTarget.`canAddMemoryBlocks(IWorkbenchPart part, ISelection selection)`
Returns whether an add memory block operation can be performed from the specified part and the given selection.
`boolean`
IAddMemoryRenderingsTarget.`canAddMemoryRenderings(IWorkbenchPart part, ISelection selection)`
Returns whether a memory rendering can be added from the specified part, based on the the given selection, which is the active debug context in the current workbench window.
`boolean`
IRunToLineTarget.`canRunToLine(IWorkbenchPart part, ISelection selection, ISuspendResume target)`
Returns whether a run to line operation can be performed on the given element that is currently selected and suspended in the Debug view.
`boolean`
IToggleBreakpointsTargetExtension.`canToggleBreakpoints(IWorkbenchPart part, ISelection selection)`
Returns whether line breakpoints can be toggled on the given selection.
`boolean`
IToggleBreakpointsTargetExtension2.`canToggleBreakpointsWithEvent(IWorkbenchPart part, ISelection selection, Event event)`
Returns whether breakpoints can be toggled on the given selection with the given `Event`.
`boolean`
IToggleBreakpointsTarget.`canToggleLineBreakpoints(IWorkbenchPart part, ISelection selection)`
Returns whether line breakpoints can be toggled on the given selection.
`boolean`
IToggleBreakpointsTarget.`canToggleMethodBreakpoints(IWorkbenchPart part, ISelection selection)`
Returns whether method breakpoints can be toggled on the given selection.
`boolean`
IToggleBreakpointsTarget.`canToggleWatchpoints(IWorkbenchPart part, ISelection selection)`
Returns whether watchpoints can be toggled on the given selection.
`String`
IToggleBreakpointsTargetFactory.`getDefaultToggleTarget(IWorkbenchPart part, ISelection selection)`
Returns the identifier of the default toggle breakpoints target to use for the given selection, or `null` if this factory has no preference.
`Set<String>`
IToggleBreakpointsTargetManager.`getEnabledToggleBreakpointsTargetIDs(IWorkbenchPart part, ISelection selection)`
Returns the set of `String` IDs of toggle breakpoint targets, which are enabled for the given active part and selection.
`IMemoryRenderingType[]`
IAddMemoryRenderingsTarget.`getMemoryRenderingTypes(IWorkbenchPart part, ISelection selection)`
Returns a list of rendering types that can be added from the given workbench part and active debug context, possibly empty.
`String`
IToggleBreakpointsTargetManager.`getPreferredToggleBreakpointsTargetID(IWorkbenchPart part, ISelection selection)`
Returns the ID of the calculated preferred toggle breakpoints target for the given active part and selection.
`IToggleBreakpointsTarget`
IToggleBreakpointsTargetManager.`getToggleBreakpointsTarget(IWorkbenchPart part, ISelection selection)`
Given the ID of toggle breakpoint target, this method will try to find the factory that creates it and return an instance of it.
`Set<String>`
IToggleBreakpointsTargetFactory.`getToggleTargets(IWorkbenchPart part, ISelection selection)`
Returns all possible types of toggle breakpoints targets that this factory can create for the given selection and part, possibly empty.
`protected void`
ToggleMethodBreakpointActionDelegate.`performAction(IToggleBreakpointsTarget target, IWorkbenchPart part, ISelection selection)`
`protected void`
ToggleWatchpointActionDelegate.`performAction(IToggleBreakpointsTarget target, IWorkbenchPart part, ISelection selection)`
`void`
IRunToLineTarget.`runToLine(IWorkbenchPart part, ISelection selection, ISuspendResume target)`
Perform a run to line operation on the given element that is currently selected and suspended in the Debug view.
`void`
AbstractLaunchHistoryAction.`selectionChanged(IAction action, ISelection selection)`
`void`
AddMemoryRenderingActionDelegate.`selectionChanged(IAction action, ISelection selection)`
`void`
ContextualLaunchAction.`selectionChanged(IAction action, ISelection selection)`
`void`
LaunchAsAction.`selectionChanged(IAction action, ISelection selection)`
Deprecated.
`void`
LaunchShortcutsAction.`selectionChanged(IAction action, ISelection selection)`
`void`
OpenLaunchDialogAction.`selectionChanged(IAction action, ISelection selection)`
`void`
RelaunchLastAction.`selectionChanged(IAction action, ISelection selection)`
`void`
RulerBreakpointTypesActionDelegate.`selectionChanged(IAction action, ISelection selection)`
Deprecated.
`void`
RunToLineActionDelegate.`selectionChanged(IAction action, ISelection selection)`
`void`
IToggleBreakpointsTargetExtension.`toggleBreakpoints(IWorkbenchPart part, ISelection selection)`
Creates new line breakpoints or removes existing breakpoints.
`void`
IToggleBreakpointsTargetExtension2.`toggleBreakpointsWithEvent(IWorkbenchPart part, ISelection selection, Event event)`
Creates or removes existing breakpoints based on any modifiers in the given `Event`.
`void`
IToggleBreakpointsTarget.`toggleLineBreakpoints(IWorkbenchPart part, ISelection selection)`
Creates new line breakpoints or removes existing breakpoints.
`void`
IToggleBreakpointsTarget.`toggleMethodBreakpoints(IWorkbenchPart part, ISelection selection)`
Creates new method breakpoints or removes existing breakpoints.
`void`
IToggleBreakpointsTarget.`toggleWatchpoints(IWorkbenchPart part, ISelection selection)`
Creates new watchpoints or removes existing breakpoints.

## Uses of ISelection in org.eclipse.debug.ui.contexts

Methods in org.eclipse.debug.ui.contexts that return ISelection
Modifier and Type
Method
Description
`ISelection`
IDebugContextProvider.`getActiveContext()`
Returns the currently active context, possibly empty or `null`.
`ISelection`
IDebugContextService.`getActiveContext()`
Returns the active context in this service's window or `null`.
`ISelection`
IDebugContextService.`getActiveContext(String partId)`
Returns the active context in the specified part of this service's window or `null` if none.
`ISelection`
IDebugContextService.`getActiveContext(String partId, String partSecondaryId)`
Returns the active context in the specified part of this service's window or `null` if none.
`ISelection`
DebugContextEvent.`getContext()`
Returns the debug context associated with this event.
Constructors in org.eclipse.debug.ui.contexts with parameters of type ISelection
Modifier
Constructor
Description
``
`DebugContextEvent(IDebugContextProvider source, ISelection context, int flags)`
Constructs a new debug context event.

## Uses of ISelection in org.eclipse.help.ui.browser

Methods in org.eclipse.help.ui.browser with parameters of type ISelection
Modifier and Type
Method
Description
`void`
LaunchURL.`selectionChanged(IAction action, ISelection selection)`

## Uses of ISelection in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs with parameters of type ISelection
Modifier and Type
Method
Description
`protected void`
AbstractSelectionDialog.`setResult(ISelection selection, Class<T> target)`
Set the selections obtained from a viewer.

## Uses of ISelection in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference with parameters of type ISelection
Modifier and Type
Method
Description
`protected IPreferenceNode`
PreferenceDialog.`getSingleSelection(ISelection selection)`

## Uses of ISelection in org.eclipse.jface.text

Subinterfaces of ISelection in org.eclipse.jface.text
Modifier and Type
Interface
Description
`interface`
`IBlockTextSelection`
A rectangular selection in a text document.
`interface`
`IMarkSelection`
A mark selection can be sent out by text viewers.
`interface`
`IMultiTextSelection`
This interface represents a textual selection that can be made of multiple discontinued selected ranges.
`interface`
`ITextSelection`
This interface represents a textual selection.
Classes in org.eclipse.jface.text that implement ISelection
Modifier and Type
Class
Description
`class`
`BlockTextSelection`
Standard implementation of `IBlockTextSelection`.
`class`
`MarkSelection`
Default implementation of `IMarkSelection`.
`class`
`MultiTextSelection`
`class`
`TextSelection`
Standard implementation of `ITextSelection`.
Methods in org.eclipse.jface.text that return ISelection
Modifier and Type
Method
Description
`ISelection`
TextViewer.`getSelection()`
Methods in org.eclipse.jface.text with parameters of type ISelection
Modifier and Type
Method
Description
`boolean`
ISelectionValidator.`isValid(ISelection selection)`
Tests whether the given post selection is still valid.
`void`
TextViewer.`setSelection(ISelection selection, boolean reveal)`

## Uses of ISelection in org.eclipse.jface.util

Methods in org.eclipse.jface.util that return ISelection
Modifier and Type
Method
Description
`ISelection`
LocalSelectionTransfer.`getSelection()`
Returns the local transfer data.
Methods in org.eclipse.jface.util with parameters of type ISelection
Modifier and Type
Method
Description
`void`
LocalSelectionTransfer.`setSelection(ISelection s)`
Sets the transfer data for local use.

## Uses of ISelection in org.eclipse.jface.viewers

Subinterfaces of ISelection in org.eclipse.jface.viewers
Modifier and Type
Interface
Description
`interface`
`IStructuredSelection`
A selection containing elements.
`interface`
`ITreeSelection`
A selection containing tree paths.
Classes in org.eclipse.jface.viewers that implement ISelection
Modifier and Type
Class
Description
`class`
`StructuredSelection`
A concrete implementation of the `IStructuredSelection` interface, suitable for instantiating.
`class`
`TreeSelection`
A concrete implementation of the `ITreeSelection` interface, suitable for instantiating.
Fields in org.eclipse.jface.viewers declared as ISelection
Modifier and Type
Field
Description
`protected ISelection`
DoubleClickEvent.`selection`
The selection.
`protected ISelection`
OpenEvent.`selection`
The selection.
`protected ISelection`
SelectionChangedEvent.`selection`
The selection.
Methods in org.eclipse.jface.viewers that return ISelection
Modifier and Type
Method
Description
`ISelection`
AbstractTreeViewer.`getSelection()`
The `AbstractTreeViewer` implementation of this method returns the result as an `ITreeSelection`.
`ISelection`
DoubleClickEvent.`getSelection()`
Returns the selection.
`ISelection`
ISelectionProvider.`getSelection()`
Returns the current selection for this provider.
`ISelection`
OpenEvent.`getSelection()`
Returns the selection.
`ISelection`
SelectionChangedEvent.`getSelection()`
Returns the selection.
`ISelection`
StructuredViewer.`getSelection()`
The `StructuredViewer` implementation of this method returns the result as an `IStructuredSelection`.
`abstract ISelection`
Viewer.`getSelection()`
Methods in org.eclipse.jface.viewers with parameters of type ISelection
Modifier and Type
Method
Description
`protected void`
StructuredViewer.`handleInvalidSelection(ISelection invalidSelection, ISelection newSelection)`
Handles an invalid selection.
`void`
ISelectionProvider.`setSelection(ISelection selection)`
Sets the current selection for this selection provider.
`void`
StructuredViewer.`setSelection(ISelection selection, boolean reveal)`
`void`
TableViewer.`setSelection(ISelection selection, boolean reveal)`
Sets a new selection for this viewer and optionally makes it visible.
`void`
TreeViewer.`setSelection(ISelection selection, boolean reveal)`
Sets a new selection for this viewer and optionally makes it visible.
`void`
Viewer.`setSelection(ISelection selection)`
The viewer implementation of this `ISelectionProvider` method make the new selection for this viewer without making it visible.
`abstract void`
Viewer.`setSelection(ISelection selection, boolean reveal)`
Sets a new selection for this viewer and optionally makes it visible.
`protected void`
AbstractTreeViewer.`setSelectionToWidget(ISelection selection, boolean reveal)`
`protected void`
StructuredViewer.`setSelectionToWidget(ISelection selection, boolean reveal)`
Converts the selection to a `List` and calls `setSelectionToWidget(List, boolean)`.
`protected void`
StructuredViewer.`updateSelection(ISelection selection)`
Updates the selection of this viewer.
Constructors in org.eclipse.jface.viewers with parameters of type ISelection
Modifier
Constructor
Description
``
`DoubleClickEvent(Viewer source, ISelection selection)`
Creates a new event for the given source and selection.
``
`OpenEvent(Viewer source, ISelection selection)`
Creates a new event for the given source and selection.
``
`SelectionChangedEvent(ISelectionProvider source, ISelection selection)`
Creates a new event for the given source and selection.

## Uses of ISelection in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring with parameters of type ISelection
Modifier and Type
Method
Description
`void`
RedoRefactoringAction.`selectionChanged(IAction action, ISelection s)`
Deprecated.
`void`
UndoRefactoringAction.`selectionChanged(IAction action, ISelection s)`
Deprecated.

## Uses of ISelection in org.eclipse.ltk.ui.refactoring.actions

Methods in org.eclipse.ltk.ui.refactoring.actions with parameters of type ISelection
Modifier and Type
Method
Description
`void`
ApplyRefactoringScriptAction.`selectionChanged(IAction action, ISelection selection)`
`void`
CreateRefactoringScriptAction.`selectionChanged(IAction action, ISelection selection)`
`void`
ShowRefactoringHistoryAction.`selectionChanged(IAction action, ISelection selection)`

## Uses of ISelection in org.eclipse.search.ui

Methods in org.eclipse.search.ui that return ISelection
Modifier and Type
Method
Description
`ISelection`
ISearchPageContainer.`getSelection()`
Returns the selection with which this container was opened.
`ISelection`
ISearchResultView.`getSelection()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the current selection of the search result view

## Uses of ISelection in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text with parameters of type ISelection
Modifier and Type
Method
Description
`protected boolean`
AbstractTextSearchViewPage.`canRemoveMatchesWith(ISelection selection)`
Determines whether the provided selection can be used to remove matches from the result.

## Uses of ISelection in org.eclipse.team.ui

Methods in org.eclipse.team.ui with parameters of type ISelection
Modifier and Type
Method
Description
`protected ICompareInput`
PageCompareEditorInput.`asCompareInput(ISelection selection)`
Return a compare input that represents the selection.
`protected ICompareInput`
PageSaveablePart.`getCompareInput(ISelection selection)`
Deprecated.
Return a compare input that represents the selection.

## Uses of ISelection in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history with parameters of type ISelection
Modifier and Type
Method
Description
`protected ICompareInput`
HistoryPageCompareEditorInput.`asCompareInput(ISelection selection)`
`protected ICompareInput`
HistoryPageSaveablePart.`getCompareInput(ISelection selection)`
Deprecated.

## Uses of ISelection in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type ISelection
Modifier and Type
Method
Description
`protected ICompareInput`
ParticipantPageCompareEditorInput.`asCompareInput(ISelection selection)`
`protected ICompareInput`
ParticipantPageSaveablePart.`getCompareInput(ISelection selection)`
Deprecated.
Return a compare input that represents the selection.
`void`
ModelParticipantAction.`selectionChanged(ISelection selection)`
Set the selection of this action to the given selection
`void`
SynchronizeModelAction.`selectionChanged(ISelection selection)`
Set the selection of this action to the given selection

## Uses of ISelection in org.eclipse.ui

Methods in org.eclipse.ui that return ISelection
Modifier and Type
Method
Description
`ISelection`
SelectionListenerFactory.ISelectionModel.`getCurrentSelection()`
`ISelection`
SelectionListenerFactory.ISelectionModel.`getLastDeliveredSelection()`
`ISelection`
ISelectionService.`getSelection()`
Returns the current selection in the active part.
`ISelection`
ISelectionService.`getSelection(String partId)`
Returns the current selection in the part with the given id.
Methods in org.eclipse.ui with parameters of type ISelection
Modifier and Type
Method
Description
`protected abstract void`
OpenAndLinkWithEditorHelper.`activate(ISelection selection)`
Tells to activate the editor that is open on the given selection.
`boolean`
SelectionEnabler.`isEnabledForSelection(ISelection selection)`
Check if the receiver is enabled for the given selection.
`protected void`
OpenAndLinkWithEditorHelper.`linkToEditor(ISelection selection)`
Tells to link the given selection to the editor that is open on the given selection but does nothing if no matching editor can be found.
`protected abstract void`
OpenAndLinkWithEditorHelper.`open(ISelection selection, boolean activate)`
Tells to open an editor for the given selection.
`void`
IActionDelegate.`selectionChanged(IAction action, ISelection selection)`
Notifies this action delegate that the selection in the workbench has changed.
`void`
ISelectionListener.`selectionChanged(IWorkbenchPart part, ISelection selection)`
Notifies this listener that the selection has changed.
Method parameters in org.eclipse.ui with type arguments of type ISelection
Modifier and Type
Method
Description
`static Predicate<SelectionListenerFactory.ISelectionModel>`
SelectionListenerFactory.Predicates.`selectionType(Class<? extends ISelection> selectionType)`
Creates a predicate that tests true if the selection is an instance of the passed selection type.

## Uses of ISelection in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions that return ISelection
Modifier and Type
Method
Description
`ISelection`
ActionContext.`getSelection()`
`ISelection`
SelectionProviderAction.`getSelection()`
Returns the current selection in the selection provider.
Methods in org.eclipse.ui.actions with parameters of type ISelection
Modifier and Type
Method
Description
`void`
ActionDelegate.`selectionChanged(IAction action, ISelection selection)`
The `ActionDelegate` implementation of this `IActionDelegate` method does nothing.
`void`
SelectionProviderAction.`selectionChanged(ISelection selection)`
Notifies this action that the given (non-structured) selection has changed in the selection provider.
`void`
ActionContext.`setSelection(ISelection selection)`
Sets the selection.
Constructors in org.eclipse.ui.actions with parameters of type ISelection
Modifier
Constructor
Description
``
`ActionContext(ISelection selection)`
Creates a new action context with the given selection.

## Uses of ISelection in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return ISelection
Modifier and Type
Method
Description
`protected final ISelection`
FileBufferOperationHandler.`getSelection()`
Returns the selection of the active workbench window.
Methods in org.eclipse.ui.editors.text with parameters of type ISelection
Modifier and Type
Method
Description
`void`
FileBufferOperationAction.`selectionChanged(IAction action, ISelection selection)`

## Uses of ISelection in org.eclipse.ui.forms

Methods in org.eclipse.ui.forms with parameters of type ISelection
Modifier and Type
Method
Description
`void`
IManagedForm.`fireSelectionChanged(IFormPart part, ISelection selection)`
A part can use this method to notify other parts that implement IPartSelectionListener about selection changes.
`void`
ManagedForm.`fireSelectionChanged(IFormPart part, ISelection selection)`
A part can use this method to notify other parts that implement IPartSelectionListener about selection changes.
`void`
DetailsPart.`selectionChanged(IFormPart part, ISelection selection)`
`void`
IPartSelectionListener.`selectionChanged(IFormPart part, ISelection selection)`
Called when the provided part has changed selection state.

## Uses of ISelection in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that return ISelection
Modifier and Type
Method
Description
`static ISelection`
HandlerUtil.`getActiveMenuEditorInput(ExecutionEvent event)`
Return the active menu editor input, if available.
`static ISelection`
HandlerUtil.`getActiveMenuEditorInputChecked(ExecutionEvent event)`
Return the active menu editor input.
`static ISelection`
HandlerUtil.`getActiveMenuSelection(ExecutionEvent event)`
Return the active menu selection.
`static ISelection`
HandlerUtil.`getActiveMenuSelectionChecked(ExecutionEvent event)`
Return the active menu selection.
`static ISelection`
HandlerUtil.`getCurrentSelection(ExecutionEvent event)`
Return the current selection.
`static ISelection`
HandlerUtil.`getCurrentSelectionChecked(ExecutionEvent event)`
Return the current selection.
`static ISelection`
HandlerUtil.`getShowInSelection(ExecutionEvent event)`
Return the ShowInContext selection.
`static ISelection`
HandlerUtil.`getShowInSelectionChecked(ExecutionEvent event)`
Return the ShowInContext selection.

## Uses of ISelection in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return ISelection
Modifier and Type
Method
Description
`ISelection`
CommonViewer.`getSelection()`
Returns the current selection.
Methods in org.eclipse.ui.navigator with parameters of type ISelection
Modifier and Type
Method
Description
`void`
CommonNavigator.`selectReveal(ISelection selection)`
Set the selection to the Common Navigator tree, and expand nodes if necessary.
`void`
CommonViewer.`setSelection(ISelection selection, boolean reveal)`
`protected void`
CommonNavigatorManager.`updateStatusBar(ISelection aSelection)`

## Uses of ISelection in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return ISelection
Modifier and Type
Method
Description
`ISelection`
MultiPageSelectionProvider.`getSelection()`
`ISelection`
PageBookView.SelectionProvider.`getSelection()`
`ISelection`
ShowInContext.`getSelection()`
Returns the selection, or `null` to indicate no selection.
Methods in org.eclipse.ui.part with parameters of type ISelection
Modifier and Type
Method
Description
`void`
ISetSelectionTarget.`selectReveal(ISelection selection)`
Reveals and selects the given element within this target view.
`void`
MultiPageSelectionProvider.`setSelection(ISelection selection)`
`void`
PageBookView.SelectionProvider.`setSelection(ISelection selection)`
`void`
ShowInContext.`setSelection(ISelection selection)`
Sets the selection, or `null` to indicate no selection.
Constructors in org.eclipse.ui.part with parameters of type ISelection
Modifier
Constructor
Description
``
`ShowInContext(Object input, ISelection selection)`
Constructs a new `ShowInContext` with the given input and selection.

## Uses of ISelection in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return ISelection
Modifier and Type
Method
Description
`protected ISelection`
AbstractTextEditor.`doGetSelection()`
Returns the current selection.
`ISelection`
AbstractTextEditor.SelectionProvider.`getSelection()`
Methods in org.eclipse.ui.texteditor with parameters of type ISelection
Modifier and Type
Method
Description
`protected void`
AbstractTextEditor.`doSetSelection(ISelection selection)`
Sets the given selection.
`boolean`
AbstractTextEditor.SelectionProvider.`isValid(ISelection postSelection)`
`void`
AbstractRulerActionDelegate.`selectionChanged(IAction action, ISelection selection)`
`void`
GotoLastEditPositionAction.`selectionChanged(IAction action, ISelection selection)`
`void`
GotoNextEditPositionAction.`selectionChanged(IAction action, ISelection selection)`
`void`
AbstractTextEditor.SelectionProvider.`setSelection(ISelection selection)`

## Uses of ISelection in org.eclipse.ui.texteditor.quickdiff

Methods in org.eclipse.ui.texteditor.quickdiff with parameters of type ISelection
Modifier and Type
Method
Description
`void`
QuickDiffToggleAction.`selectionChanged(IAction action, ISelection selection)`

## Uses of ISelection in org.eclipse.ui.views.contentoutline

Methods in org.eclipse.ui.views.contentoutline that return ISelection
Modifier and Type
Method
Description
`ISelection`
ContentOutline.`getSelection()`
`ISelection`
ContentOutlinePage.`getSelection()`
Methods in org.eclipse.ui.views.contentoutline with parameters of type ISelection
Modifier and Type
Method
Description
`protected void`
ContentOutlinePage.`fireSelectionChanged(ISelection selection)`
Fires a selection changed event.
`void`
ContentOutline.`setSelection(ISelection selection)`
`void`
ContentOutlinePage.`setSelection(ISelection selection)`

## Uses of ISelection in org.eclipse.ui.views.framelist

Methods in org.eclipse.ui.views.framelist that return ISelection
Modifier and Type
Method
Description
`ISelection`
TreeFrame.`getSelection()`
Returns the selection.
Methods in org.eclipse.ui.views.framelist with parameters of type ISelection
Modifier and Type
Method
Description
`void`
TreeFrame.`setSelection(ISelection selection)`
Sets the selection.

## Uses of ISelection in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties with parameters of type ISelection
Modifier and Type
Method
Description
`void`
PropertySheetPage.`handleEntrySelection(ISelection selection)`
Handles a selection change in the entry table.
`void`
PropertySheet.`selectionChanged(IWorkbenchPart part, ISelection sel)`
`void`
PropertySheetPage.`selectionChanged(IWorkbenchPart part, ISelection selection)`
Constructors in org.eclipse.ui.views.properties with parameters of type ISelection
Modifier
Constructor
Description
``
`PropertyShowInContext(IWorkbenchPart aPart, ISelection selection)`

## Uses of ISelection in org.eclipse.ui.views.properties.tabbed

Methods in org.eclipse.ui.views.properties.tabbed that return ISelection
Modifier and Type
Method
Description
`protected ISelection`
TabbedPropertySheetPage.`getCurrentSelection()`
Get the current selection
`ISelection`
AbstractPropertySection.`getSelection()`
Get the current workbench selection.
Methods in org.eclipse.ui.views.properties.tabbed with parameters of type ISelection
Modifier and Type
Method
Description
`boolean`
AbstractSectionDescriptor.`appliesTo(IWorkbenchPart part, ISelection selection)`
`boolean`
ISectionDescriptor.`appliesTo(IWorkbenchPart part, ISelection selection)`
Determines if this section applies to the selection.
`ITabDescriptor[]`
ITabDescriptorProvider.`getTabDescriptors(IWorkbenchPart part, ISelection selection)`
Returns all tab descriptors.
`Image`
TabbedPropertySheetPage.`getTitleImage(ISelection selection)`
Returns the title image for given selection.
`String`
TabbedPropertySheetPage.`getTitleText(ISelection selection)`
Returns text of the properties title for given selection.
`void`
TabbedPropertySheetPage.`selectionChanged(IWorkbenchPart part, ISelection selection)`
`void`
AbstractPropertySection.`setInput(IWorkbenchPart part, ISelection selection)`
`void`
AdvancedPropertySection.`setInput(IWorkbenchPart part, ISelection selection)`
`void`
ISection.`setInput(IWorkbenchPart part, ISelection selection)`
Notifies the section that the workbench selection has changed.
`void`
TabContents.`setInput(IWorkbenchPart part, ISelection selection)`
Sets page's sections input objects.